Skip to main content
PUT
/
10dlc
/
brand
/
{brandId}
/
revet
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const telnyxBrand = await client.messaging10dlc.brand.revet('brandId');

console.log(telnyxBrand.identityStatus);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
telnyx_brand = client.messaging_10dlc.brand.revet(
"brandId",
)
print(telnyx_brand.identity_status)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
telnyxBrand, err := client.Messaging10dlc.Brand.Revet(context.TODO(), "brandId")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", telnyxBrand.IdentityStatus)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messaging10dlc.brand.BrandRevetParams;
import com.telnyx.sdk.models.messaging10dlc.brand.TelnyxBrand;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

TelnyxBrand telnyxBrand = client.messaging10dlc().brand().revet("brandId");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

telnyx_brand = telnyx.messaging_10dlc.brand.revet("brandId")

puts(telnyx_brand)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$telnyxBrand = $client->messaging10dlc->brand->revet('brandId');

var_dump($telnyxBrand);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx messaging-10dlc:brand revet \
--api-key 'My API Key' \
--brand-id brandId
curl --request PUT \
--url https://api.telnyx.com/v2/10dlc/brand/{brandId}/revet \
--header 'Authorization: Bearer <token>'
{
  "entityType": "PRIVATE_PROFIT",
  "displayName": "ABC Mobile",
  "country": "US",
  "email": "<string>",
  "vertical": "<string>",
  "cspId": "<string>",
  "brandId": "4b20017f-8da9-a992-a6c0-683072fb7729",
  "tcrBrandId": "BBRAND1",
  "companyName": "ABC Inc.",
  "firstName": "John",
  "lastName": "Smith",
  "ein": "111111111",
  "phone": "+12024567890",
  "street": "123",
  "city": "New York",
  "state": "NY",
  "postalCode": "10001",
  "stockSymbol": "ABC",
  "stockExchange": "NASDAQ",
  "ipAddress": "<string>",
  "website": "http://www.abcmobile.com",
  "altBusinessId": "<string>",
  "universalEin": "<string>",
  "referenceId": "<string>",
  "optionalAttributes": {
    "taxExemptStatus": "<string>"
  },
  "mock": false,
  "mobilePhone": "+12024567890",
  "isReseller": false,
  "webhookURL": "https://webhook.com/67ea78a8-9f32-4d04-b62d-f9502e8e5f93",
  "businessContactEmail": "name@example.com",
  "webhookFailoverURL": "<string>",
  "createdAt": "2021-03-08T17:57:48.801186",
  "updatedAt": "2021-03-08T17:57:48.801186",
  "failureReasons": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brandId
string
required

Unique identifier of the brand.

Response

Successful Response

Telnyx-specific extensions to The Campaign Registry's Brand type

entityType
enum<string>
required

Entity type behind the brand. This is the form of business establishment.

Available options:
PRIVATE_PROFIT,
PUBLIC_PROFIT,
NON_PROFIT,
GOVERNMENT,
SOLE_PROPRIETOR
Example:

"PRIVATE_PROFIT"

displayName
string
required

Display or marketing name of the brand.

Maximum string length: 100
Example:

"ABC Mobile"

country
string
required

ISO2 2 characters country code. Example: US - United States

Maximum string length: 2
Example:

"US"

email
string
required

Valid email address of brand support contact.

Maximum string length: 100
brandRelationship
enum<string>
required

Brand relationship to the CSP

Available options:
BASIC_ACCOUNT,
SMALL_ACCOUNT,
MEDIUM_ACCOUNT,
LARGE_ACCOUNT,
KEY_ACCOUNT
vertical
string
required

Vertical or industry segment of the brand.

Maximum string length: 50
cspId
string

Unique identifier assigned to the csp by the registry.

brandId
string

Unique identifier assigned to the brand.

Example:

"4b20017f-8da9-a992-a6c0-683072fb7729"

tcrBrandId
string

Unique identifier assigned to the brand by the registry.

Example:

"BBRAND1"

companyName
string

(Required for Non-profit/private/public) Legal company name.

Maximum string length: 100
Example:

"ABC Inc."

firstName
string

First name of business contact.

Maximum string length: 100
Example:

"John"

lastName
string

Last name of business contact.

Maximum string length: 100
Example:

"Smith"

ein
string

(Required for Non-profit) Government assigned corporate tax ID. EIN is 9-digits in U.S.

Maximum string length: 20
Example:

"111111111"

phone
string

Valid phone number in e.164 international format.

Maximum string length: 20
Example:

"+12024567890"

street
string

Street number and name.

Maximum string length: 100
Example:

"123"

city
string

City name

Maximum string length: 100
Example:

"New York"

state
string

State. Must be 2 letters code for United States.

Maximum string length: 20
Example:

"NY"

postalCode
string

Postal codes. Use 5 digit zipcode for United States

Maximum string length: 10
Example:

"10001"

stockSymbol
string

(Required for public company) stock symbol.

Maximum string length: 10
Example:

"ABC"

stockExchange
enum<string>

(Required for public company) stock exchange.

Available options:
NONE,
NASDAQ,
NYSE,
AMEX,
AMX,
ASX,
B3,
BME,
BSE,
FRA,
ICEX,
JPX,
JSE,
KRX,
LON,
NSE,
OMX,
SEHK,
SSE,
STO,
SWX,
SZSE,
TSX,
TWSE,
VSE
Example:

"NASDAQ"

ipAddress
string

IP address of the browser requesting to create brand identity.

Maximum string length: 50
website
string

Brand website URL.

Maximum string length: 100
Example:

"http://www.abcmobile.com"

altBusinessId
string

Alternate business identifier such as DUNS, LEI, or GIIN

Maximum string length: 50
altBusinessIdType
enum<string>

An enumeration.

Available options:
NONE,
DUNS,
GIIN,
LEI
universalEin
string

Universal EIN of Brand, Read Only.

referenceId
string

Unique identifier Telnyx assigned to the brand - the brandId

identityStatus
enum<string>

The verification status of an active brand

Available options:
VERIFIED,
UNVERIFIED,
SELF_DECLARED,
VETTED_VERIFIED
optionalAttributes
BrandOptionalAttributes · object
mock
boolean
default:false

Mock brand for testing purposes

mobilePhone
string

Valid mobile phone number in e.164 international format.

Maximum string length: 20
Example:

"+12024567890"

isReseller
boolean
default:false

Indicates whether this brand is known to be a reseller

webhookURL
string

Webhook to which brand status updates are sent.

Example:

"https://webhook.com/67ea78a8-9f32-4d04-b62d-f9502e8e5f93"

businessContactEmail
string

Business contact email.

Required if entityType is PUBLIC_PROFIT.

Example:

"name@example.com"

webhookFailoverURL
string

Failover webhook to which brand status updates are sent.

createdAt
string

Date and time that the brand was created at.

Example:

"2021-03-08T17:57:48.801186"

updatedAt
string

Date and time that the brand was last updated at.

Example:

"2021-03-08T17:57:48.801186"

status
enum<string>

Status of the brand

Available options:
OK,
REGISTRATION_PENDING,
REGISTRATION_FAILED
failureReasons
string

Failure reasons for brand